/* Variables */
:root {
    --black: #0B1003;
    --white: #ffffff;

    --pxxl: 80px;
    --pxl: 60px;
    --pl: 40px;
    --pm: 32px;
    --ps: 16px;
    --pxs: 8px;
    --pxxs: 4px;

    --green700: #104231;
    --green600: #2D745D;
    --green550: #639418;
    --green500: #83BD2B;
    --green400: #C2E48E;
    --green300: #E1F1C8;
    --green200: #F5FCE9;

    --gray900: #46493F;
    --gray800: #767579;
    --gray700: #C4BCBC;
    --gray600: #D5D0D0;
    --gray500: #F1EFEF;
    --gray400: #F0F0F0;
    
    --blue800: #129BBE;
    --blue700: #1071A3;
    --blue500: #0695DF;
    --blue300: #25ACF2;

    --roundsm: 4px;
    --roundm: 16px;
    --roundlg: 32px;
    --roundxl: 64px;
    --rounded: 100%;

    --fs-xs: 11px;
    --fs-sm: 13px;
    --fs-md: 16px;
    --fs-lg: 18px;
    --fs-xlg: 24px;

    --transition: 0.4s all ease;
}


/* General Layout */
body{
    background-color: var(--black);
    color: var(--white);
    font-family: "Outfit", sans-serif;
    font-optical-sizing: auto;
    -webkit-font-smoothing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    line-height: 1.4;
}
main{
    background-color:var(--white);
    color: var(--gray700);
    min-height: 80vh;
}
.wrapper{
    min-width: 320px;
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 var(--ps);
}
.wrapper-full{
    max-width: 100%;
    margin: 0 var(--ps);
}

section{
    padding: var(--pxl) 0;
    min-height: 20vh;
}

/* Headings */
h1 {
    font-weight: 900;
    font-size: 3.2rem;
    line-height: 1.2;
}
h2 {
    font-weight: 600;
    font-size: 1.9rem;
    line-height: 1;
}
h3 {
    font-weight: 600;
    font-size: 1.8rem;
}
h4 {
    font-weight: 300;
    font-size: 1.3rem;
    line-height: 1.2;
}
h5 {
    font-weight: 300;
    font-size: 1rem;
}
h6 {
    font-weight: 600;
    font-size: .5rem;
    letter-spacing: 2px;
}
a:link{
    color: var(--green500);
    text-decoration: none;
}
a:hover{
    color: var(--green400);
    text-decoration: underline;
}
.btn{
    max-width: 320px;
    padding: var(--pxs) var(--ps);
    white-space: nowrap; /* para evitar que salte línea */
    display: flex;
    flex-direction: row;
    text-align: center;
    align-items: center;
    align-content: center;
    gap: var(--pxxs);
    border-radius: var(--roundlg);
    transition: background-color 0.6s;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}
.btn-primary{
    background-color: var(--green550);
    color: var(--white) !important;
}
.btn-primary:hover{
    background-color: var(--green500);
    text-decoration: none;
}
.btn-secondary{
    color: var(--gray700) !important;
    border: 1px solid var(--gray700);
}
.btn-secondary:hover{

    background-color: var(--gray800);
    color: var(--white) !important;
    border: 1px solid var(--gray800);
    text-decoration: none;
}
.btn-terciary{
    padding: var(--pxs) var(--ps);
    color: var(--blue500) !important;
    border: 1px solid var(--blue300);
}
.btn-terciary:hover{
    background-color: var(--blue500);
    color: var(--white) !important;
    text-decoration: none;
}
.btn-small{
    font-size: var(--fs-sm);
}
.btn-icon-smal{
    width: 22px; height: 100%;
    object-fit: cover;
}
.pp-shadow{
    box-shadow: rgba(50, 50, 93, 0.05) 0px 2px 5px -5px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}
.pp-shadow:hover{
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}
.instock{
    animation: 2s infinite alternate big
}
@keyframes big {
    0% {
      transform: scale(1.1,1.1);
    }
    100% {
      transform: scale(1,1);
    }
  }

/* Pagination */

.pagination {
    display: flex;
    list-style: none;
    padding: var(--pm) 0;
    flex-wrap: wrap;
    justify-content: center;
}

.pagination li {
    margin: 5px;
}

.pagination a {
    text-decoration: none;
    padding: 8px 12px;
    background: var(--green300);
    color: var(--green700);
    border-radius: 5px;
    font-size: 1rem;
    transition: background 0.3s;
}

.pagination .active {
    color: var(--white);
    background: var(--green500);
    font-weight: bold;
}

.pagination a:hover {
    background: var(--green400);
}

/* === Responsive Styles for Mobile === */
@media screen and (max-width: 600px) {
    .pagination {
        justify-content: start;
    }
    .pagination li{
        margin: 12px 4px;
    }
    .pagination a {
        padding: 12px 16px;
        font-size: 1.25rem;
    }

    /* Omitir botones de navegación si quieres */
    .pagination .prev,
    .pagination .next {
        display: none;
    }


    .pagination li.active,
    .pagination li.active + li,
    .pagination li.active - li {
        display: inline;
    }
}

/* Links and Styles general */
main{
    color: var(--black);
}

/* Header styles */

header{
    background-color: var(--black);
    color: var(--white);
    min-height: 80px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}
.header-content{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: var(--ps) 0;
}
header .pp-logo{
    width: 320px;
    max-width: 100%;
    transition: var(--transition);
}
header .pp-logo:hover{
    transform: scale(1.05);
}
header .pp-logo img{
    width: 100%;
    min-width: 180px;
    height: 100px;
    object-fit: contain;
}
.pp-topsearch{
    min-width: 340px;
    width: 100%;
    padding: 0 var(--pl);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: var(--pxs);
}
.pp-form{ 
    width: 70%;
    position: relative;
}
.iconSearch{
    position: absolute;
    left: 5px;
    top: calc(50% - 16px);
}
.form-input-text{
    width: 100%;
    padding: var(--ps) var(--ps) var(--ps) var(--pl);
    color: var(--gray800);
    border-radius: var(--roundm);
    background-color: var(--gray400);
    border: var(--gray800);
}
.form-input-text:focus{
    outline: 3px solid var(--green400);
}
.pp-topcta{
    min-width: 200px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    gap: var(--ps);
}
.top-categorias{
    padding: var(--ps) 0;
    border-top: 1px solid var(--gray900);
    border-bottom: 1px solid var(--gray900);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: var(--ps);
}
.top-categorias h4{
    text-transform: uppercase;
    max-width: 200px;
    color: var(--gray800);
    line-height: 1;
}
.top-categorias ul{
    list-style: none;
    border-left: 1px solid var(--gray900);
    padding-inline: 0;
    padding-left: var(--ps);
}
.top-categorias li{
    display: inline-block;
}

.top-categorias li a{
    display: block;
    padding: var(--pxxs) var(--pxs);
    color: var(--gray400) !important;
    font-size: var(--fs-sm);
}
.top-categorias  a:hover{
    color: var(--green400) !important;
}

.s-heading{
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: var(--pl);
}
.s-title{
    display: flex;
    flex-direction: column;
    max-width: 420px;
    color: var(--gray900);
    gap: var(--pxs);
}
.s-heading p{
    color: var(--gray800);
}

.search-mobile{
    display: none;
}

/* Hero Style */

#Hero{
    color: var(--white);
    padding: var(--ps);
    background:  var(--white);
    background: linear-gradient(to bottom, var(--white), var(--gray500));
}

#Hero .pp-slider{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: top;
    gap: var(--ps);
    border-radius: var(--roundm);
}
#Hero .bx-viewport{
    box-shadow: rgba(50, 50, 93, 0.15) 0px 13px 27px -5px, rgba(0, 0, 0, 0.10) 0px 8px 16px -8px;
}
.slides{
    width: 100%;
    border-radius: var(--roundm);
    overflow: hidden;
    padding-inline-start: 0px;
}
.slides li{
    width: 100%;
    border-radius: var(--roundm);
    overflow: hidden;
}
.slides li img{
    width: 100%;
    height: 100%;
    border-radius: var(--roundm);
}
.thumb{
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: var(--ps);
    padding: var(--ps) 0;
}
.thumb a{
    display: inline-block;
}
.thumb .img-thumb{
    width: 120px; height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: var(--roundsm);
    filter: grayscale(100%);
    display: inline-block;
    opacity: 0.6;
    transition: 300ms all;
    outline: 6px solid transparent;
    transform: scale(0.9);
    
}
.thumb a.active{
    outline: 6px solid var(--white);
    border-radius: var(--roundsm);
    transition: 300ms all;
}
.thumb a.active img{
    filter: grayscale(0%);
    opacity: 1;
    transform: scale(1);
}

/* Populares */

#ProductosPopulares{
    background: var(--white);
    padding: var(--ps);
}
#ProductosPopulares h1{
    font-size: var(--fs-xlg);
}
.slider-wrapper{
    padding: var(--ps) 0 ;
}
/* Carousel Slider */

.slider{
    width: 100%;
    height: var(--height);
    overflow: hidden;
    mask-image: linear-gradient(
        to right,
        transparent,
        #000 10% 90%,
        transparent
    );
}
.slider .list{
    display: flex;
    width: 100%;
    min-width: calc(var(--width) * var(--quantity));
    position: relative;
}
.slider .list .item{
    width: var(--width);
    height: var(--height);
    border-radius: var(--roundm);
    overflow: hidden;
    position: absolute;
    left: 100%;
    animation: autoRun 30s linear infinite;
    transition: all 0.5s;
    animation-delay: calc( (30s / var(--quantity)) * (var(--position) - 1) - 30s)!important;
}
.slider .list .item img{
    width: 100%;
    transition: all 0.5s;
}
@keyframes autoRun{
    from{
        left: 100%;
    }to{
        left: calc(var(--width) * -1);
    }
}
.slider:hover .item{
    animation-play-state: paused!important;
    filter: grayscale(1);
}
.slider .item:hover{
    filter: grayscale(0);
}
.slider .item:hover img{
    transform: scale(1.1);
}
.slider[reverse="true"] .item{
    animation: reversePlay 20s linear infinite;
}
@keyframes reversePlay{
    from{
        left: calc(var(--width) * -1);
    }to{
        left: 100%;
    }
}
  
/* Top Categorías */
#CategoriasTendencia{
    /*background: var(--white);*/
    background: linear-gradient(to bottom, var(--gray400), var(--gray500));
}

/*  Productos de 
    Entrega Inmediata */

#EntregaInmediata{
    background: linear-gradient(to bottom, var(--gray400), var(--gray500));
}


.products{
    display: flex;
    flex-direction: row;
    align-items: left;
    justify-content: space-between;
    gap: var(--ps);
    flex-wrap: wrap;
    padding: var(--pm) 0;
}

.card-product{
    position: relative;
    max-width: 234px;
    min-height: 300px;
    background-color: var(--white);

    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: space-between;
    gap: var(--ps);

    border-radius: var(--roundm);
    padding-bottom: var(--pm);
    transition: var(--transition);
}
.card-product:hover{
    transform: scale(1.01);
}
.product-image{
    width: 100%;
    min-height: 90px;
    border-radius: var(--roundm) var(--roundm) 0 0;
    overflow: hidden;
}
.product-image img{
    width: 100%;
    object-fit: cover;
}
.product-heading{
    position: relative;
    padding: 0 var(--ps);
}
.product-heading h4{
    text-transform: uppercase;
    font-weight: 600;
}
.product-tag{
    font-size: var(--fs-xs);
    background-color: var(--white);
    color: var(--blue800);
    display: inline-block;
    text-transform: uppercase;
}
.product-heading a{
    color: var(--gray900) !important;
}
.product-desc{
    display: none;
    padding: 0 var(--ps);
    height: 80px;
    overflow: hidden;
    position: relative;
    color: var(--gray800);
}
.product-desc::after{ /* Degrade que oculta parte de la descripción */
    content: "";
    position: absolute;
    bottom: 0; left: 0;
    height: 40px;
    width: 100%;
    background: linear-gradient(0deg, var(--white), rgba(255,255,255,0)) 10% 90%;
}
.product-code{
    font-size: var(--fs-sm);
    color: var(--gray800);
}
.product-code span{
    color: var(--gray900);
}
.product-actions{
    width: 100%;
    padding: 0 var(--ps);

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

/*
    #Banner
*/
#Banner{
    padding: var(--pxxs);
}
#Banner .wrapper{
    padding-top: var(--pxxs);
    padding-bottom: var(--pxl);
}
.banner-full{
    width: 100%;
    min-height: 200px;
}
.banner-full img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--roundm);
}

/* TopCategorias */
#MasCategorias{
    background-color: var(--white);
}

.categorias{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: var(--ps);
    row-gap: var(--pm);
    padding-top: var(--pm);
    flex-wrap: wrap;
    width: 100%;
}
.card-cat{
    max-width: 400px;
    min-height: 240px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    align-content: start;
    gap: var(--pxxs);
    border-radius: var(--roundlg);
    transition: var(--transition);
}
.card-cat .cat-image{
    transition: var(--transition);
}
.card-cat:hover{
    transform: scale(1.05);
}
.cat-image{
    width: 220px;
    height: 220px;
    border-radius: var(--rounded);
    overflow: hidden;
    background-color: var(--white);
}
.cat-image img{
    width: 220px;
    height: 220px;
    object-fit: cover;
    object-position: center;
}
.cat-content{
    max-width: 200px;
    display: flex;
    flex-direction: column;
    align-content: start;
    gap: var(--ps);
}
.cat-heading{
    padding: 0 var(--ps);
}
.cat-heading h4{
    text-transform: uppercase;
    font-weight: 600;
}
.cat-heading a{
    color: var(--green550) !important;
}
.cat-heading:hover a{
    color: var(--green500) !important;
}
.cat-desc{
    position: relative;
    padding: 0 var(--ps);
    font-size: var(--fs-xs);
    color: var(--gray800);
    height: 80px;
    overflow: hidden;
}
.cat-desc::after{ /* Degrade que oculta parte de la descripción */
    content: "";
    position: absolute;
    bottom: 0; left: 0;
    height: 40px;
    width: 100%;
    background: linear-gradient(0deg, var(--gray400), rgba(255,255,255,0));
}
.cat-items{
    font-size: var(--fs-sm);
    color: var(--gray800);
}
.cat-items span{
    color: var(--gray900);
}

/* Big Categorias */
#BigCategorias{
    background-color: var(--white);
    padding: var(--pm) 0;
}
.bigcat{
    border-radius: var(--roundm);
}
.bigcat img{
    border-radius: var(--roundm);
}
.bigcat-desc{
    position: absolute;
    z-index: 100;
    width: 100%;
    padding: var(--pl) var(--pm);
    bottom: 0px;
    left: 0; right: 0;
    transition: all 0.6s ease-in-out;
    opacity: 0;
    transform: translateY(120px);
    background: linear-gradient(to bottom, rgba(255,255,255,0), rgba(255,255,255,1));
}
.bigcat:hover .bigcat-desc{
    opacity: 1;
    transform: translateY(0px);
}
.bigcat-desc h3 a{
    color: var(--black);
}
.bigcat-desc p{
    font-size: var(--fs-xs);
}

/* Más Categorias */

.cat-vertical{
    flex-direction: column;
    gap: var(--pm);
    align-content: center;
    width: 232px;
    max-width: 232px;
    background-color: var(--white);
    border-radius: var(--roundsm);
    overflow: hidden;
}
.cat-vertical .cat-image{
    transition: var(--transition);
    width: 100%;
    padding: var(--ps);
}
.cat-vertical:hover .cat-image{
    transform: scale(1.1);
    box-shadow: none;
}
.cat-vertical .cat-image, .cat-vertical .cat-image img{
    border-radius: 0;
}
.cat-vertical .cat-heading{
    text-align: center;
    padding-bottom: var(--pm);
}

.pp-more{
    width: 100%;
    padding: var(--pm);
    text-align: center;
}
.btn-big{
    /* color: var(--gray900) !important;*/
    font-size: var(--fs-lg);
}



/* Servicios */

.servicios{
    display: flex;
    gap: var(--pm);
    padding: var(--pl) 0;
    flex-wrap: wrap;
}
.servicio{
    position: relative;
    flex: 1;
    min-width: 300px;
    display: flex;
    gap: var(--ps);
    align-items: center;
    padding: var(--pxs);
    border-radius: var(--roundm);
    transition: var(--transition);
    box-shadow: rgba(0, 0, 0, 0.05) -4px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px -2px 6px -2px;
}
.servicio-link{
    position: absolute;
    top: 0; bottom:0;
    left: 0; right: 0;
}
.servicio-icon{
    max-width: 140px;
}
.servicio-content{
    flex: 1;
}
.servicio-title{
    font-size: medium;
    color: var(--gray800);
    text-transform: uppercase;
}
.servicio-desc{
    max-width: 230px;
    color: var(--gray800);
    font-size: var(--fs-sm);
}
.servicio:hover{
    transform: scale(1.1);
}


/*  Footer */

footer{
    max-width: 1280px;
    margin: 0 auto;
    padding-top: var(--pxl);
}
footer section{
    min-height: auto;
}
footer .content{
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--pm);
}

.foot-logo{
    width: 336px;
}
.foot-logo img{
    width: 336px;
    height: 100%;
    object-fit: cover;
}
.foot-categorias ul{
    list-style: none;
}
.foot-categorias li{
    display: inline-block;
}
.foot-categorias a{
    padding: var(--pxxs) var(--pxs);
    display: block;
}
.foot-wrapper{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--pm) 0;
    border-bottom: 1px solid var(--gray900);
}
.foot-info{
    max-width: 540px;
    text-align: left;
}
.foot-social{
    text-align: right;
    width: 400px;
}
.foot-social ul{
    list-style: none;
}
.foot-social li{
    display: inline-block;
    padding: var(--pxxs) var(--pxs);
}
.foot-social a{
    padding: var(--pxxs) var(--pxs);
}

.foot-nav ul{
    list-style: none;
}
.foot-nav li{
    display: inline-block;
}
.foot-nav a{
    padding: var(--pxs);
}
footer a{
    color: var(--gray400) !important;
}
footer a:hover{
    color: var(--green500) !important;
}
footer .by{
    font-size: var(--fs-xs);
    padding: var(--ps);
    color: var(--gray800)
}
footer a.footer-link{
    color: var(--green500) !important;
}

/* Submenu */
.pp-topmenu{
    display: none;
}
@media only screen and (max-width: 720px) {
    .pp-topmenu{
        display: block;
        margin-left: 16px;
    }
}
.submenu {
    opacity: 0;
    transform: translateY(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
    position: absolute;
    top: 50px;
    right: 10px;
    background-color: var(--white);
    border: 1px solid var(--gray400);
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    z-index: 999;
    pointer-events: none; /* evita clics cuando está oculto */
}

.submenu.show {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

.submenu ul {
    list-style: none;
    margin: 0;
    padding: 10px 0;
}

.submenu li {
    padding: 10px 20px;
}

.submenu li a {
    text-decoration: none;
    color: var(--gray800);
    display: block;
}

.submenu li:hover {
    background-color: var(--gray700);
    color: var(--white);
}